Results 1 to 4 of 4

Thread: Pls Help, I've broken my Firefox :(

Hybrid View

  1. #1

    Default Pls Help, I've broken my Firefox :(

    Hi All,

    I am unable to load Firefox.
    The following error message occurs when I attempt to load it from the terminal.

    kmozillahelper(10282)/kdecore (KSycoca): Trying to open ksycoca from "/var/tmp/kdecache-paul/ksycoca4"
    *** nss-shared-helper: Shared database disabled (set NSS_USE_SHARED_DB to enable).
    Attempting to load the system libmoon
    Any help would be greatly appreciated.

    Thank you.

  2. #2
    Join Date
    Jun 2008
    Location
    Berlin
    Posts
    2,061

    Default Re: Pls Help, I've broken my Firefox :(

    Uninstall the package 'moonlight-plugin', that will (hopefully) solve the problem. You will most likely not use Moonlight that very often anyway.

    Code:
    zypper rm moonlight-plugin
    If you still need Moonlight-support within Firefox, install it as a plugin with the respective Firefox-module, see →here.

  3. #3

    Default Re: Pls Help, I've broken my Firefox :(

    Had the same problem; fixed by uninstalling moonlight using yast.
    But you want to use silverlight, you say ?
    No problem: go to a site that uses silverlight and click on the button to "get silverlight" or something like that. Now you go to a silverlight site from microsoft, but don't worry, just continue and it will redirect to a page with a moonlight installer.
    Install this, and you have a running firefox WITH moonlight !

  4. #4

    Default Re: Pls Help, I've broken my Firefox :(

    Thank you all,

    I have followed your advice and am now using Firefox to reply to this message.
    I have the ability to use moonlight, though for some reason it works better with Google Chrome than it does in firefox!

    Thank you!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •